# $Revision: 1.10 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Filter-SAX1toSAX2
Summary:	XML::Filter::SAX1toSAX2 - convert SAX1 events to SAX2
Summary(pl.UTF-8):	XML::Filter::SAX1toSAX2 - konwersja zdarzeń SAX1 do SAX2
Name:		perl-XML-Filter-SAX1toSAX2
Version:	0.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7189c56d9f9c23f92f6a66808423afd2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-libxml
BuildRequires:	perl-XML-Handler-YAWriter
BuildRequires:	perl-XML-NamespaceSupport
BuildRequires:	perl-XML-SAX
BuildRequires:	perl-XML-SAX-Writer
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a very simple module for creating SAX2 events from SAX1
events. It is useful in the case where you have a SAX1 parser but want
to use a SAX2 handler or filter of some sort.

%description -l pl.UTF-8
Ten moduł jest bardzo prostym modułem do tworzenia zdarzeń SAX2 ze
zdarzeń SAX1. Jest przydatny w przypadku kiedy mamy parser SAX1, ale
chcemy używać jakiejś procedury obsługi czy filtra SAX2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/XML/*/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-SAX1toSAX2.spec,v $
Revision 1.10  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.8  2004/11/03 22:30:55  paladine
- formatting

Revision 1.7  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/05/06 19:38:10  qboosh
- fixed contact info

Revision 1.5  2004/05/06 19:24:45  qboosh
- pl desc

Revision 1.4  2004/05/06 18:21:30  ankry
- fixed perl-devel BR

Revision 1.3  2004/05/06 02:07:06  ankry
- pl summary, formatting

Revision 1.2  2004/05/05 20:26:51  radek
- added forgotten md5

Revision 1.1  2004/05/05 20:25:37  radek
- new
